<p class="paginator">
          <span class="step-links">
              {% if page_obj.has_previous %}
                  <a href="?{% if query %}q={{ query }}&{% endif %}{% if query1 %}p={{ query1 }}&{% endif %}page={{ page_obj.previous_page_number }}">previa</a>
              {% endif %}
              {% for page in page_numbers %}
                  {% if page %}
                      {% ifequal page page_obj.number %}
                          <strong>{{ page }}</strong>
                      {% else %}
                          <a href="?{% if query %}q={{ query }}&{% endif %}{% if query1 %}p={{ query1 }}&{% endif %}page={{ page }}">{{ page }}</a>
                      {% endifequal %}
                  {% else %}
                      ...
                  {% endif %}
              {% endfor %}

              {% if page_obj.has_next %}
                  <a href="?{% if query %}q={{ query }}&{% endif %}{% if query1 %}p={{ query1 }}&{% endif %}page={{ page_obj.next_page_number }}">siguiente</a>
              {% endif %}
          </span>
    {{ n_grupos }} Grupo(s) Horario.
</p>